@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans&display=swap");
.intro001-bg {
  position: relative;
  overflow: hidden;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}
.intro001-bg::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rebeccapurple;
  transform: translateY(100%);
  transition: transform cubic-bezier(0.215, 0.61, 0.355, 1) 0.6s;
}
.intro001-bg.is-active::before {
  transform: translateY(0);
}
.intro001-bg.is-active .description, .intro001-bg.is-active .title {
  opacity: 1;
  transform: translateY(0);
}
.intro001-btn {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 30px;
  background-color: #fff;
  color: rebeccapurple;
  padding: 0.5em 1em;
  cursor: pointer;
  z-index: 99;
}
.intro001-textWrap {
  font-family: "Josefin Sans", sans-serif;
  color: #fff;
  z-index: 2;
  position: relative;
  text-align: center;
}
.intro001-textWrap .description {
  font-size: 20px;
  margin-bottom: 18px;
  opacity: 0;
  transform: translateY(40px);
  transition: transform cubic-bezier(0.215, 0.61, 0.355, 1) 1s, opacity linear 0.7s;
  transition-delay: 0.25s;
}
.intro001-textWrap .title {
  font-size: 48px;
  opacity: 0;
  transform: translateY(30px);
  transition: transform cubic-bezier(0.215, 0.61, 0.355, 1) 1s, opacity linear 0.7s;
  transition-delay: 0.75s;
}